## org.apache.batik.dom.svg
Class SVGLocatableSupport

    java.lang.Object
      org.apache.batik.dom.svg.SVGLocatableSupport

public class SVGLocatableSupport
extends java.lang.Object

This class provides support for the SVGLocatable interface.

Constructor Summary
`SVGLocatableSupport()` Creates a new SVGLocatable element.

Method Summary
`static SVGRect` `getBBox(org.w3c.dom.Element elt)` To implement `SVGLocatable.getBBox()`.
`static SVGMatrix` `getCTM(org.w3c.dom.Element elt)` To implement `SVGLocatable.getCTM()`.
`static SVGElement` `getFarthestViewportElement(org.w3c.dom.Element elt)` To implement `SVGLocatable.getFarthestViewportElement()`.
`static SVGElement` `getNearestViewportElement(org.w3c.dom.Element e)` To implement `SVGLocatable.getNearestViewportElement()`.
`static SVGMatrix` `getScreenCTM(org.w3c.dom.Element elt)` To implement `SVGLocatable.getScreenCTM()`.
`static SVGMatrix` `getTransformToElement(org.w3c.dom.Element elt, SVGElement element)` To implement `SVGLocatable.getTransformToElement(SVGElement)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGLocatableSupport

    public SVGLocatableSupport()

  Creates a new SVGLocatable element.

Method Detail

### getNearestViewportElement

    public static SVGElement getNearestViewportElement(org.w3c.dom.Element e)

  To implement `SVGLocatable.getNearestViewportElement()`.

### getFarthestViewportElement

    public static SVGElement getFarthestViewportElement(org.w3c.dom.Element elt)

  To implement `SVGLocatable.getFarthestViewportElement()`.

### getBBox

    public static SVGRect getBBox(org.w3c.dom.Element elt)

  To implement `SVGLocatable.getBBox()`.

### getCTM

    public static SVGMatrix getCTM(org.w3c.dom.Element elt)

  To implement `SVGLocatable.getCTM()`.

### getScreenCTM

    public static SVGMatrix getScreenCTM(org.w3c.dom.Element elt)

  To implement `SVGLocatable.getScreenCTM()`.

### getTransformToElement

    public static SVGMatrix getTransformToElement(org.w3c.dom.Element elt,
                                                  SVGElement element)
                                           throws SVGException

  To implement `SVGLocatable.getTransformToElement(SVGElement)`.

  Throws:
    `SVGException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.